image1 = imread('C:\MATLAB7\work\images\sphere\sphere1.pgm','pgm');
image2 = imread('C:\MATLAB7\work\images\sphere\sphere2.pgm','pgm');
image3 = imread('C:\MATLAB7\work\images\sphere\sphere3.pgm','pgm');
ps1=0.0;
qs1=0.0;
ps2=0;
qs2=-0.5;
ps3=-0.5;
qs3=-0.5;
vps=0.0;
vqs=0.0;
sn1 = sqrt(ps1*ps1 + qs1*qs1 + 1.0);
sn2 = sqrt(ps2*ps2 + qs2*qs2 + 1.0);
sn3 = sqrt(ps3*ps3 + qs3*qs3 + 1.0);

[szy,szx]=size(image1);
Zmap=zeros(szy,szx);
[Z,P,Q]=Stereo(image1,ps1,qs1,image2,ps2,qs2,image3,ps3,qs3,vps,vps);
for i=1:szy,
    for j=1:szx
        Zmap(i,j) = sqrt(P(i,j)*P(i,j) + Q(i,j)*Q(i,j) +1);
    end
end

figure;
meshz(Z);

figure;
meshz(P);

figure;
meshz(Q);

figure;
meshz(Zmap);